package com.BotonBackForward.vaadin;

import javax.servlet.annotation.WebServlet;

import com.vaadin.annotations.Theme;
import com.vaadin.annotations.VaadinServletConfiguration;
import com.vaadin.annotations.Widgetset;
import com.vaadin.navigator.Navigator;
import com.vaadin.server.VaadinRequest;
import com.vaadin.server.VaadinServlet;
import com.vaadin.ui.UI;

@Theme("mytheme")
@Widgetset("com.BotonBackForward.vaadin.MyAppWidgetset")
public class Demo extends UI {

	PageLayout pageLayout = new PageLayout();

	@Override
	protected void init(VaadinRequest vaadinRequest) {

		setContent(pageLayout);
		Navigator navigator = new Navigator(this, this);

		navigator.addView(WelcomeView.VIEW_NAME, new WelcomeView());
		navigator.addView(PageLayout.VIEW_NAME, PageLayout.class);

		navigator.navigateTo(WelcomeView.VIEW_NAME);

	}

	public PageLayout getPageLayout() {
		return pageLayout;
	}

	public static Demo getCurrent() {
		return (Demo) UI.getCurrent();
	}

	@WebServlet(urlPatterns = "/*", name = "MyUIServlet", asyncSupported = true)
	@VaadinServletConfiguration(ui = Demo.class, productionMode = false)
	public static class MyUIServlet extends VaadinServlet {
	}
}
